#!/bin/bash
#
#    BBCOLORLEVEL  - The color of the alert: "red", "yellow" or "purple"
#    BBALPHAMSG    - The full text of the status log triggering the alert
#    ACKCODE       - The "cookie" that can be used to acknowledge the alert
#    RCPT          - The recipient, from the SCRIPT entry
#    BBHOSTNAME    - The name of the host that the alert is about
#    MACHIP        - The IP-address of the host that has a problem
#    BBSVCNAME     - The name of the service that the alert is about
#    BBSVCNUM      - The numeric code for the service. From SVCCODES definition.
#    BBHOSTSVC     - HOSTNAME.SERVICE that the alert is about.
#    BBHOSTSVCCOMMAS - As BBHOSTSVC, but dots in the hostname replaced with commas
#    BBNUMERIC     - A 22-digit number made by BBSVCNUM, MACHIP and ACKCODE.
#    RECOVERED     - Is "1" if the service has recovered.
#    DOWNSECS      - Number of seconds the service has been down.
#    DOWNSECSMSG   - When recovered, holds the text "Event duration : N" where
echo $BBCOLORLEVEL  > /tmp/hobbitout
echo $BBALPHAMSG >>/tmp/hobbitout
echo $RCPT >>/tmp/hobbitout
echo $BBHOSTNAME >>/tmp/hobbitout
echo $BBSVCNAME >>/tmp/hobbitout
echo $BBHOSTSVC >>/tmp/hobbitout

#BBCOLORLEVEL=red
#BBCOLORLEVEL=yellow
#BBALPHAMSG="vmtest:disk red [751147]"
#BBHOSTNAME="vmtest"
#BBSVCNAME="disk"
#BBHOSTSVC="vmtest.disk"

if  [ x$BBSVCNAME = xdisk ]
then
	case $BBCOLORLEVEL in 
		red )	
			/usr/bin/notify.py ALT "$BBHOSTNAME disk is full"
		;;
		yellow )

			/usr/bin/notify.py PHN "$BBHOSTNAME disk almost full "
		;;
	esac
fi






